# Uses of Interface
nu.validator.htmlparser.common.DocumentModeHandler

Packages that use DocumentModeHandler
Package
Description
nu.validator.htmlparser.dom
This package provides an HTML5 parser that exposes the document using the DOM API.
nu.validator.htmlparser.impl
This package contains the bulk of parser internals.
nu.validator.htmlparser.sax
This package provides an HTML5 parser that exposes the document through the SAX API.
nu.validator.htmlparser.xom
This package provides an HTML5 parser that exposes the document through the XOM API.

## Uses of DocumentModeHandler in nu.validator.htmlparser.dom

Methods in nu.validator.htmlparser.dom that return DocumentModeHandler
Modifier and Type
Method
Description
`DocumentModeHandler`
HtmlDocumentBuilder.`getDocumentModeHandler()`
Returns the document mode handler.
Methods in nu.validator.htmlparser.dom with parameters of type DocumentModeHandler
Modifier and Type
Method
Description
`void`
HtmlDocumentBuilder.`setDocumentModeHandler(DocumentModeHandler documentModeHandler)`
Sets the document mode handler.

## Uses of DocumentModeHandler in nu.validator.htmlparser.impl

Methods in nu.validator.htmlparser.impl with parameters of type DocumentModeHandler
Modifier and Type
Method
Description
`void`
TreeBuilder.`setDocumentModeHandler(DocumentModeHandler documentModeHandler)`
Sets the documentModeHandler.

## Uses of DocumentModeHandler in nu.validator.htmlparser.sax

Methods in nu.validator.htmlparser.sax that return DocumentModeHandler
Modifier and Type
Method
Description
`DocumentModeHandler`
HtmlParser.`getDocumentModeHandler()`
Returns the document mode handler.
Methods in nu.validator.htmlparser.sax with parameters of type DocumentModeHandler
Modifier and Type
Method
Description
`void`
HtmlParser.`setDocumentModeHandler(DocumentModeHandler documentModeHandler)`
Sets the document mode handler.

## Uses of DocumentModeHandler in nu.validator.htmlparser.xom

Methods in nu.validator.htmlparser.xom that return DocumentModeHandler
Modifier and Type
Method
Description
`DocumentModeHandler`
HtmlBuilder.`getDocumentModeHandler()`
Returns the document mode handler.
Methods in nu.validator.htmlparser.xom with parameters of type DocumentModeHandler
Modifier and Type
Method
Description
`void`
HtmlBuilder.`setDocumentModeHandler(DocumentModeHandler documentModeHandler)`
Sets the document mode handler.